Can you check on an incompatability?

When these plugins are active, the "Evolve" theme (http://theme4press.com/evolve/) gives the "white screen of death." When I disable them, the theme works fine. My error log says:

PHP Fatal error: Cannot redeclare widget_recent_global_comments_control() (previously declared in /var/www/html/wp-content/plugins/recent-global-comments-widget/recent-global-comments-widget.php:71) in /var/www/html/wp-content/plugins/recent-global-comments-widget/recent-global-comments-widget.php on line 70, referer: http://blogs.shu.edu/tomstest/wp-admin/themes.php